brick.wall {waveslim} | R Documentation

## Replace Boundary Wavelet Coefficients with Missing Values

### Description

Sets the first n wavelet coefficients to `NA`.

### Usage

    brick.wall(x, wf, method="modwt")
    dwpt.brick.wall(x, wf, n.levels, method="modwpt")

### Arguments

`x` | DWT/MODWT/DWPT/MODWPT object
`wf` | Character string; name of wavelet filter
`method` | Either `dwt` or `modwt` for `brick.wall`, or either `dwpt` or `modwpt` for `dwpt.brick.wall`
`n.levels` | depth of the wavelet transform

### Details

The fact that observed time series are finite causes boundary issues. One way to get around this is to simply remove any wavelet coefficient computed involving the boundary. This is done here by replacing boundary wavelet coefficients with `NA`.

### Value

Same object as `x` only with some missing values.

### Author(s)

B. Whitcher

### References

Lindsay, R. W., D. B. Percival and D. A. Rothrock (1996). The discrete wavelet transform and the scale anlaysis of the surface properties of sea ice, IEEE Transactions on Geoscience and Remote Sensing, 34, No.~3, 771-787.

Percival, D. B. and A. T. Walden (2000) Wavelet Methods for Time Series Analysis, Cambridge University Press.

[Package waveslim version 1.7.5.1 Index]